/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.client.client.ui.uinfo;

import org.dive4elements.river.client.client.ui.AbstractPanel;

public class LoadSingleYearPanel extends AbstractPanel {

    @Override
    protected String getDatakey() {
        return "singleyear";
    }

    public LoadSingleYearPanel() {
    }

    @Override
    protected void appendValue(final String year) { // SINGLE-Input
        final String oldYears = this.inputItem.getValueAsString();
        this.inputItem.setValue(year);
    }
}
